Bug 141179 - Create a 'Tip of the Day' help page
Summary: Create a 'Tip of the Day' help page
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.1.0.3 release
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:7.3.0
Keywords: skillDocumentation
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2021-03-22 15:39 UTC by Alain Romedenne
Modified: 2021-09-09 13:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alain Romedenne 2021-03-22 15:39:05 UTC
Description:
When pressing F1 from TotD dialog, error helpis displayed e.g.
LibreOffice/help/en-US/text/shared/05/err_html.html?System=WIN&DbPAR=BASIC&HID=cui/ui/tipofthedaydialog/btnOk

Steps to Reproduce:
1. Set/Leave focus on Ok button
2. Press F1


Actual Results:
LibreOffice/help/en-US/text/shared/05/err_html.html?System=WIN&DbPAR=BASIC&HID=cui/ui/tipofthedaydialog/btnOk

Expected Results:
TotD help page or 'else'


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Rafael Lima 2021-03-31 19:38:43 UTC
The current TotD dialog does not have a Help button. Maybe that's why a Help page has never been written about it.

If a Help page is created for the TotD, maybe it would be a good idea to add a Help button (which is actually a pre-defined action button) to the dialog.

I have a few suggestions of what this page could address:
- How to re-enable TotD if the user chooses to disable it
- How to open the dialog from the menu
Comment 2 sdc.blanco 2021-03-31 20:14:41 UTC
1. Help > Show Tip of Day
2. F1

Result: 404 error
Help ID: .uno:TipOfTheDay
Comment 3 Commit Notification 2021-09-07 12:04:39 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/280680693746332e5bf1d49f53285b29b0ae321d

tdf#141179 Add tip-of-the-day help page